Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager
Interface IMarkupDefinitionManager

All Known Subinterfaces:
  MarkupDefinitionManager

    public interface IMarkupDefinitionManager

These methods are generally intended for internal BEA use only.

This is the primary interface for performing persistent store operations on `MarkupDefinitions`. In general this interface provides coarse grain getters and fine grain setters.

It is important to note that all methods on this interface are fully internationalized and entitled. All `titles` and `descriptions` on the objects returned by these methods are internationalized to the preferred locale. Also, all methods are entitled, meaning if the caller does not have the required credentials the method may return a subset of the actual list or be unable to perform the specified function.

This interface is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`MarkupDefinition` | `createMarkupDefinition(CustomizationContext customizationContext, MarkupDefinition markupDefinition)` Creates a new MarkupView Definition with its placeholders.
`void` | `deleteMarkupDefinition(CustomizationContext customizationContext, MarkupDefinitionId markupDefinitionId)` Delete a markup definition.
`MarkupDefinition` | `getMarkupDefinition(CustomizationContext customizationContext, MarkupDefinitionId markupDefinitionId)` Getter for returning a single `MarkupDefinition` object given a supplied markup definition identifier.
`MarkupDefinition` | `getMarkupDefinition(CustomizationContext customizationContext, String markupName, String webAppName)` Getter for returning a single `MarkupDefinition` object given a supplied markup name.
`MarkupDefinition` | `getMarkupDefinitionFromFile(CustomizationContext customizationContext, String markupFile, String webAppName)` Getter for returning a single `MarkupDefinition` object given a supplied markup file name.
`MarkupDefinition[]` | `getMarkupDefinitions(CustomizationContext customizationContext, String webapp)` Getter for returning a list of all `MarkupDefinitions` scoped to the supplied webapp.
`MarkupView` | `getMarkupView(CustomizationContext customizationContext, MarkupDefinitionId markupDefinitionId)` Getter for returning an immutable deep `MarkupView`.
`void` | `updateMarkupDefinition(CustomizationContext customizationContext, MarkupDefinition markupDefinition)` Update the markup definition with the new data.

Method Detail

### getMarkupView

    MarkupView getMarkupView(CustomizationContext customizationContext,
                             MarkupDefinitionId markupDefinitionId)
                             throws RemoteException

  Getter for returning an immutable deep `MarkupView`. The `MarkupView` object, unlike the `MarkupDefinition` or the `MarkupInstance` objects contains a full set of references to all child pages, markups and so on. The `MarkupView` object, however is immutable.

  Parameters
    `markupDefinitionId` - the unique markupDefinitionId.
  Returns
    an immutable deep MarkupView object if one exists, otherwise null.
  Throws
    `RemoteException`

### getMarkupDefinitions

    MarkupDefinition[] getMarkupDefinitions(CustomizationContext customizationContext,
                                            String webapp)
                                            throws RemoteException

  Getter for returning a list of all `MarkupDefinitions` scoped to the supplied webapp.

  Parameters
    `customizationContext` - for customization information
    `webapp` - the web application these markup definitions are scoped to.
  Returns
    an array of MarkupDefinition objects if they exist, otherwise, an empty array.
  Throws
    `RemoteException`
  See Also
    `MarkupDefinition`

### getMarkupDefinition

    MarkupDefinition getMarkupDefinition(CustomizationContext customizationContext,
                                         MarkupDefinitionId markupDefinitionId)
                                         throws RemoteException

  Getter for returning a single `MarkupDefinition` object given a supplied markup definition identifier.

  Parameters
    `customizationContext` - for customization information
    `markupDefinitionId` - the unique markup definition identifier.
  Returns
    a `MarkupDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
  Throws
    `RemoteException`
  See Also
    `MarkupDefinition`

### getMarkupDefinition

    MarkupDefinition getMarkupDefinition(CustomizationContext customizationContext,
                                         String markupName,
                                         String webAppName)
                                         throws RemoteException

  Getter for returning a single `MarkupDefinition` object given a supplied markup name.

  Parameters
    `customizationContext` - for customization information
    `markupName` - the markup name.
  Returns
    a `MarkupDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
  Throws
    `RemoteException`
  See Also
    `MarkupDefinition`

### getMarkupDefinitionFromFile

    MarkupDefinition getMarkupDefinitionFromFile(CustomizationContext customizationContext,
                                                 String markupFile,
                                                 String webAppName)
                                                 throws RemoteException

  Getter for returning a single `MarkupDefinition` object given a supplied markup file name.

  Parameters
    `customizationContext` - for customization information
    `markupFile` - the name of the markup file relative to the webapp (/frameworks/markup/shell/my.shell)
  Returns
    a `MarkupDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
  Throws
    `RemoteException`
  See Also
    `MarkupDefinition`

### createMarkupDefinition

    MarkupDefinition createMarkupDefinition(CustomizationContext customizationContext,
                                            MarkupDefinition markupDefinition)
                                            throws MissingDataException,
                                                   NotEntitledException,
                                                   RemoteException,
                                                   DuplicateObjectException

  Creates a new MarkupView Definition with its placeholders.

  Parameters
    `customizationContext` - for customization information
    `markupDefinition` - the markup data and associated placeholders
  Returns
    a fully populated MarkupDefinition
  Throws
    `MissingDataException` - the markupDefinition supplied as an argument is missing some vital data.
    `NotEntitledException` - the caller is not entitled to create a new markup.
    `DuplicateObjectException` - another markup definition has the same markup name, type and webapp
    `RemoteException`

### updateMarkupDefinition

    void updateMarkupDefinition(CustomizationContext customizationContext,
                                MarkupDefinition markupDefinition)
                                throws ObjectNotFoundException,
                                       NotEntitledException,
                                       RemoteException

  Update the markup definition with the new data.

  Parameters
    `customizationContext` - for customization information
    `markupDefinition` - the markup definition containing the new data
  Throws
    `ObjectNotFoundException` - if the LocalizationIntersectionId in the LocalizationResource is bogus.
    `NotEntitledException`
    `RemoteException`

### deleteMarkupDefinition

    void deleteMarkupDefinition(CustomizationContext customizationContext,
                                MarkupDefinitionId markupDefinitionId)
                                throws ObjectNotFoundException,
                                       NotEntitledException,
                                       RemoteException

  Delete a markup definition. The markup definition will not be deleted if it is a built-in type or the markup is in use. This method will not throw an `ObjectInUseException` instead it will abort silently. To determine if these special conditions are occuring turn on debugging for `com.bea.netuix.application.manager.persistence.jdbc.MarkupDefinitionDelegate`.

  Parameters
    `customizationContext` - for customization information
    `markupDefinitionId` - the id of the markup definition to delete.
  Throws
    `ObjectNotFoundException` - if the markupDefinitionId is bogus
    `NotEntitledException` - the caller is not entitled to perform this operation.
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved